> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1smsroutingnetworks



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/sms/routing/networks
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/networks:
    get:
      tags:
        - MobileNetworks
      operationId: sms.routing.networks.index
      parameters:
        - name: filter_country_id
          in: query
          schema:
            type: integer
        - name: filter_network_brand_id
          in: query
          schema:
            type: string
            format: uuid
        - name: show_empty_brand_values
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: Array of `MobileNetworkResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/MobileNetworkResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    MobileNetworkResource:
      type: object
      properties:
        id:
          type: integer
        mcc:
          type: integer
        mnc:
          type: integer
        country_name:
          type:
            - string
            - 'null'
        country_code:
          type:
            - string
            - 'null'
        country_id:
          type: integer
        network_brand_id:
          type:
            - string
            - 'null'
        brand:
          type:
            - string
            - 'null'
        operator:
          type:
            - string
            - 'null'
        status:
          type:
            - string
            - 'null'
      required:
        - id
        - mcc
        - mnc
        - country_name
        - country_code
        - country_id
        - network_brand_id
        - brand
        - operator
        - status
      title: MobileNetworkResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````